<?php defined('SYSPATH') OR die('No direct access allowed.');

class Portstatus_Controller extends Ninja_Controller {
	public function index () {

		$this->_verify_access('monitor.monitoring.hosts:read.portstatus');

		$address = $this->input->get('address', null);
		$host = HostPool_Model::all()->reduce_by('address', $address, '=')->one();
		$this->template->content = new View("portstatus");

		if ($host) {
			$this->template->content->host = $host;
			$this->template->content->data = portstatus::get_data($host, '/var/spool/check_portstatus');
		} else {
			$this->template->content->error = "No host with address '$hostname' found!";
		}

	}

}
